Error: The following install step failed: run preflight script...

Article:TECH149871  |  Created: 2010-07-09  |  Updated: 2012-08-09  |  Article URL http://www.symantec.com/docs/TECH149871
Article Type
Technical Solution


Issue




When attempting to install PGP Desktop for Mac OS X, you receive the following error:

The following install step failed. Run preflight script for PGP Desktop. Contact the software manufacture for assistance

 


Cause



 This may be caused by a corrupt installer package, a conflict with the Quarantine feature of Mac OS X 10.7 and later, or a corrupt installation if you are upgrading.


Solution




If this occurs as part of an upgrade or if you have had PGP Desktop previously installed, uninstall PGP Desktop or manually remove any files or folders from a previous PGP Desktop installation. Click here for an article on manually removing PGP Desktop. You will also need to perform the following additional steps:

  1. Reboot the system.
  2. Open the Terminal application and type sudo rm -fr /Library/Contextual\ Menu\ Items/PGPcontext.plugin then press Enter.
  3. Re-install PGP Desktop for Mac.

This may also be caused by a corrupt installer package. It can be resolved by re-downloading the installer package from FileConnect or your Universal Server.

If this is a conflict with the Quarantine feature of Mac OS X 10.7 or later, use the following Terminal command to disable the Quarantine flag on the PGP Desktop installer package substituting the correct path to the installer package:

xattr -d -r com.apple.quarantine /path/to/PGP.pkg

If you are installing PGP Desktop from a DMG file, you may need to copy the PGP.pkg file to another location or it will be read-only.



Legacy ID



2125


Article URL http://www.symantec.com/docs/TECH149871


Terms of use for this information are found in Legal Notices